# SQL abstraction for MySQL
# Copyright (C) 1999-2000 Henrik Edlund <henrik@edlund.org>
#
# Uses the DBI module and the DBD::mysql driver module found at CPAN.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.



# connect(name) -> (connection)
# query(connection, query) -> (result)
# fetchrow(result) -> (tuple)
# ntuples(result) -> (ntuples)



package MySQL;

use strict;
use DBI;

use vars qw($Product_Name $Product_Version);
$Product_Name = 'SQL abstraction for MySQL';
$Product_Version = '1.1.0.0';



use vars qw(%Config);
%Config = (
	   
	   'features' =>
           {'transactions' => 0,
	    'subselects'   => 0},
	   
	   );



sub connect ($$$$$) {
    (my $host, my $port, my $name, my $user, my $password) = @_;
    return (DBI->connect("DBI:mysql:$name:$host:$port", $user, $password,
			 {RaiseError => 1, AutoCommit => 1}));
}

sub query ($$) {
    (my $conn, my $query) = @_;
    my $result;
    $result = $conn->prepare($query);
    $result->execute();
    return ($result);
}

sub fetchrow ($) {
    (my $result) = @_;
    return ($result->fetchrow);
}

sub ntuples ($) {
    (my $result) = @_;
    return ($result->rows);
}

1;
